package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcBjsj;

/**
 * 本级上级网评指令比列 (月)Service接口
 * 
 * @author ruoyi
 * @date 2023-08-28
 */
public interface ITcBjsjService 
{
    /**
     * 查询本级上级网评指令比列 (月)
     * 
     * @param id 本级上级网评指令比列 (月)主键
     * @return 本级上级网评指令比列 (月)
     */
    public TcBjsj selectTcBjsjById(Long id);

    /**
     * 查询本级上级网评指令比列 (月)列表
     * 
     * @param tcBjsj 本级上级网评指令比列 (月)
     * @return 本级上级网评指令比列 (月)集合
     */
    public List<TcBjsj> selectTcBjsjList(TcBjsj tcBjsj);

    /**
     * 新增本级上级网评指令比列 (月)
     * 
     * @param tcBjsj 本级上级网评指令比列 (月)
     * @return 结果
     */
    public int insertTcBjsj(TcBjsj tcBjsj);

    /**
     * 修改本级上级网评指令比列 (月)
     * 
     * @param tcBjsj 本级上级网评指令比列 (月)
     * @return 结果
     */
    public int updateTcBjsj(TcBjsj tcBjsj);

    /**
     * 批量删除本级上级网评指令比列 (月)
     * 
     * @param ids 需要删除的本级上级网评指令比列 (月)主键集合
     * @return 结果
     */
    public int deleteTcBjsjByIds(Long[] ids);

    /**
     * 删除本级上级网评指令比列 (月)信息
     * 
     * @param id 本级上级网评指令比列 (月)主键
     * @return 结果
     */
    public int deleteTcBjsjById(Long id);
}
